Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Community Member

can Nexus1000v VSM modules having different VEM version?

My existing VM blades are running VEM410-201210150101-BG. We plan to upgrade the VSM to 4.2.1.SV2(2.1) including VEM to version VEM510-201306160101-BG in couple of weeks time.

I have installed newer VEM on the new blades that will be joined to the same Nexus VSM. I know the vCenter server is compatible with the current and the planned upgraded VSM.

My questions are:

- whether it is possible to add these new vm hosts (running newer VEM) into the VSM that is still running older version?

- Would there be any stability issue if the VSM has modules with different VEM versions?

Due to strict change window hours, I am thinking of doing as much as possible before the maintenance window schedule.

any suggestions are welcome. Thanks

Everyone's tags (2)
1 REPLY
Community Member

can Nexus1000v VSM modules having different VEM version?

Hi Robin,

The right working method would be to have VSM & VEM in same version.

In your case,

step1) Upgrade VSM to new version

step2) we can add new hosts with new vem version now

step3) all old features configured/modify will work

step4) old VEM's needs to be upgraded

step5) complete the upgrade procedure as per doc.

Post Step5 is when you will have access to features that are available in newer code.

HTH

regards

Kishan Pallapothu

QA Manager, CNSG

844
Views
4
Helpful
1
Replies
CreatePlease to create content